Skip to main content
PATCH
cURL

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

The current customer unique identifier (the anonymous ID)

Body

application/json

Schema for identifying an anonymous customer. Converts an anonymous customer to a regular customer with real information.

name
string
required

The full name of the customer

Example:

"John Smith"

email
string<email>
required

The email of the customer

new_id
string

Optional new customer ID to replace the anonymous ID

gender
enum<string> | null

The gender of the customer

Available options:
MALE,
FEMALE
dob
string<date-time> | null

The date of birth of the customer

document_type
string | null

The document type of the customer. If provided, document_number is required.

document_number
string | null

The document number of the customer. If provided, document_type is required.

Maximum string length: 50
country
string | null

The country of the customer

Maximum string length: 100
phone
string | null

The customer's phone number in international format. Required for WhatsApp delivery.

Example:

"+593 99 123 4567"

tags
object

Include your conditions customer tags here

devices
object[]

Customer devices for push notifications

email_status
enum<string>

The email status of the customer

Available options:
VALID,
BOUNCED,
UNSUBSCRIBED,
COMPLAINED

The customer's consent preferences

metadata
object

The metadata of the customer

Response

Customer identified successfully

data
object